Bug 42322 - WebKitTestRunner needs to support layoutTestController.dumpBackForwardList
: WebKitTestRunner needs to support layoutTestController.dumpBackForwardList
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit2
: 528+ (Nightly build)
: PC Mac OS X 10.5
: P2 Normal
Assigned To: Darin Adler
: InRadar
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-14 20:49 PDT by Maciej Stachowiak
Modified: 2010-10-27 18:57 PDT (History)
4 users (show)

See Also:


Attachments
Patch (156.45 KB, patch)
2010-10-26 15:09 PDT, Darin Adler
sam: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Stachowiak 2010-07-14 20:49:24 PDT
WebKitTestRunner needs to support layoutTestController.dumpBackForwardList
Comment 1 Maciej Stachowiak 2010-07-14 20:58:06 PDT
<rdar://problem/8193631>
Comment 2 Darin Adler 2010-10-26 15:09:37 PDT
Created attachment 71944 [details]
Patch
Comment 3 WebKit Review Bot 2010-10-26 15:14:14 PDT
Attachment 71944 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style']" exit_code: 1
WebKit2/WebProcess/InjectedBundle/API/c/WKBundlePage.cpp:29:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/WebProcess/InjectedBundle/InjectedBundleBackForwardList.cpp:26:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKit2/WebProcess/InjectedBundle/API/c/WKBundleBackForwardList.cpp:26:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKit/mac/History/WebBackForwardListInternal.h:33:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
WebKit2/WebProcess/InjectedBundle/InjectedBundleBackForwardListItem.cpp:26:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKit2/WebProcess/InjectedBundle/API/c/WKBundleBackForwardListItem.cpp:26:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
Total errors found: 6 in 67 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Sam Weinig 2010-10-26 16:55:49 PDT
Comment on attachment 71944 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=71944&action=review

This is going to need project changes for Qt and Windows.

> WebKit2/Shared/API/c/WKURL.cpp:44
> +    return toAPI(WebString::create(toImpl(url)->string()).leakRef());

This can call toCopiedAPI(toImpl(url)->string()) I believe.
Comment 5 Darin Adler 2010-10-27 16:18:26 PDT
Committed r70723: <http://trac.webkit.org/changeset/70723>
Comment 6 WebKit Review Bot 2010-10-27 18:57:25 PDT
http://trac.webkit.org/changeset/70723 might have broken GTK Linux 32-bit Release